Bug 71169 - Wrong filename in ssh manpage
Wrong filename in ssh manpage
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-09 11:24 EDT by Alexander Larsson
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 07:43:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2002-08-09 11:24:03 EDT
The protocol 2 parts of the ssh manpage says:
 The server checks whether the matching public key is listed in
 $HOME/.ssh/authorized_keys and grants access if both the key is found and
 the signature is correct. 

This is not correct. It checks for authorized_keys2.
Comment 1 Barry K. Nathan 2002-08-16 04:18:33 EDT
I just checked the behavior of openssh*3.4p1-1 from Limbo2, and for protocol 2
(I didn't try protocol 1) it actually looks at both authorized_keys and
authorized_keys2.
Comment 2 Damien Miller 2003-04-04 04:57:45 EST
NOTABUG - authorized_keys2 is deprecated and has not been mentioned since
v2.9.9p1. It is still checked for backwards compatibility
Comment 3 Barry K. Nathan 2004-07-14 08:47:21 EDT
Hmmm... this bug is still open, and in "NEW" limbo...

Note You need to log in before you can comment on or make changes to this bug.